petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCMGGetInterpolation

Gets the function to be used to calculate the interpolation from l-1 to the lth level

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGGetInterpolation(PC pc,PetscInt l,Mat *mat)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply [Do not supply 0]

### Output Parameter

mat -the interpolation matrix, can be NULL

### See Also

PCMGGetRestriction(), PCMGSetInterpolation(), PCMGGetRScale()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages